package com.prismt.cos.CosNaming.examples;


import com.prismt.cos.CosNaming.LoadBalancerPlugin;
import com.prismt.cos.CosNaming.NamingExtensions.*;
import com.prismt.cos.CosNaming.NamingExtensions.LoadBalancerPackage.*;

public class LoadBalancingTestPlugin implements LoadBalancerPlugin
{
   // Must have a public no-args constructor.
   public LoadBalancingTestPlugin () throws PluginFailure
   {
   }

   public org.omg.CORBA.Object get
   (
      LoadBalancer reference,
      org.omg.CORBA.Object[] objects,
      java.lang.String policy
   )
      throws PluginFailure
   {
      // Always return second object bound
      if (objects.length < 2)
      {
         // Not enough objects bound to get the second object
         throw new PluginFailure ();
      }
      else
      {
         return objects[1];
      }
   }

   public java.lang.String[] getSupportedPolicies ()
   {
      return new String [] { "TEST_POLICY" };
   }
}
