package org.jacorb.imrutility.imr;

/**
 *	Generated from IDL interface "Registry"
 *	@author JacORB IDL compiler V 2.1.3, 15-September-2004
 */


public abstract class RegistryPOA
	extends org.omg.PortableServer.Servant
	implements org.omg.CORBA.portable.InvokeHandler, org.jacorb.imrutility.imr.RegistryOperations
{
	static private final java.util.Hashtable m_opsHash = new java.util.Hashtable();
	static
	{
		m_opsHash.put ( "_get_heartbeat", new java.lang.Integer(0));
		m_opsHash.put ( "_get_aliveness", new java.lang.Integer(1));
		m_opsHash.put ( "shutdown", new java.lang.Integer(2));
		m_opsHash.put ( "_get_id", new java.lang.Integer(3));
		m_opsHash.put ( "_set_aliveness", new java.lang.Integer(4));
		m_opsHash.put ( "deregisterPOA", new java.lang.Integer(5));
		m_opsHash.put ( "ping", new java.lang.Integer(6));
		m_opsHash.put ( "_set_id", new java.lang.Integer(7));
		m_opsHash.put ( "registerPOA", new java.lang.Integer(8));
		m_opsHash.put ( "_set_heartbeat", new java.lang.Integer(9));
		m_opsHash.put ( "nextID", new java.lang.Integer(10));
	}
	private String[] ids = {"IDL:imr/Registry:1.0","IDL:imr/Server:1.0"};
	public org.jacorb.imrutility.imr.Registry _this()
	{
		return org.jacorb.imrutility.imr.RegistryHelper.narrow(_this_object());
	}
	public org.jacorb.imrutility.imr.Registry _this(org.omg.CORBA.ORB orb)
	{
		return org.jacorb.imrutility.imr.RegistryHelper.narrow(_this_object(orb));
	}
	public org.omg.CORBA.portable.OutputStream _invoke(String method, org.omg.CORBA.portable.InputStream _input, org.omg.CORBA.portable.ResponseHandler handler)
		throws org.omg.CORBA.SystemException
	{
		org.omg.CORBA.portable.OutputStream _out = null;
		// do something
		// quick lookup of operation
		java.lang.Integer opsIndex = (java.lang.Integer)m_opsHash.get ( method );
		if ( null == opsIndex )
			throw new org.omg.CORBA.BAD_OPERATION(method + " not found");
		switch ( opsIndex.intValue() )
		{
			case 0: // _get_heartbeat
			{
			_out = handler.createReply();
			_out.write_ulong(heartbeat());
				break;
			}
			case 1: // _get_aliveness
			{
			_out = handler.createReply();
			org.jacorb.imrutility.imr.AlivenessPolicyHelper.write(_out,aliveness());
				break;
			}
			case 2: // shutdown
			{
				boolean _arg0=_input.read_boolean();
				_out = handler.createReply();
				shutdown(_arg0);
				break;
			}
			case 3: // _get_id
			{
			_out = handler.createReply();
			_out.write_ulonglong(id());
				break;
			}
			case 4: // _set_aliveness
			{
			_out = handler.createReply();
			aliveness(org.jacorb.imrutility.imr.AlivenessPolicyHelper.read(_input));
				break;
			}
			case 5: // deregisterPOA
			{
			try
			{
				long _arg0=_input.read_ulonglong();
				java.lang.String[] _arg1=org.jacorb.imrutility.imr.POANameSeqHelper.read(_input);
				_out = handler.createReply();
				deregisterPOA(_arg0,_arg1);
			}
			catch(org.jacorb.imrutility.imr.NotFound _ex0)
			{
				_out = handler.createExceptionReply();
				org.jacorb.imrutility.imr.NotFoundHelper.write(_out, _ex0);
			}
				break;
			}
			case 6: // ping
			{
				long _arg0=_input.read_ulonglong();
				_out = handler.createReply();
				ping(_arg0);
				break;
			}
			case 7: // _set_id
			{
			_out = handler.createReply();
			id(_input.read_ulonglong());
				break;
			}
			case 8: // registerPOA
			{
			try
			{
				org.omg.CORBA.LongHolder _arg0= new org.omg.CORBA.LongHolder();
				_arg0._read (_input);
				java.lang.String[] _arg1=org.jacorb.imrutility.imr.POANameSeqHelper.read(_input);
				org.jacorb.imrutility.imr.Registration _arg2=org.jacorb.imrutility.imr.RegistrationHelper.read(_input);
				org.jacorb.imrutility.imr.EndpointProfileSeqHolder _arg3= new org.jacorb.imrutility.imr.EndpointProfileSeqHolder();
				_out = handler.createReply();
				registerPOA(_arg0,_arg1,_arg2,_arg3);
				_out.write_ulonglong(_arg0.value);
				org.jacorb.imrutility.imr.EndpointProfileSeqHelper.write(_out,_arg3.value);
			}
			catch(org.jacorb.imrutility.imr.ImplActive _ex0)
			{
				_out = handler.createExceptionReply();
				org.jacorb.imrutility.imr.ImplActiveHelper.write(_out, _ex0);
			}
			catch(org.jacorb.imrutility.imr.NotFound _ex1)
			{
				_out = handler.createExceptionReply();
				org.jacorb.imrutility.imr.NotFoundHelper.write(_out, _ex1);
			}
			catch(org.jacorb.imrutility.imr.AlreadyRegistered _ex2)
			{
				_out = handler.createExceptionReply();
				org.jacorb.imrutility.imr.AlreadyRegisteredHelper.write(_out, _ex2);
			}
				break;
			}
			case 9: // _set_heartbeat
			{
			_out = handler.createReply();
			heartbeat(_input.read_ulong());
				break;
			}
			case 10: // nextID
			{
				_out = handler.createReply();
				_out.write_ulonglong(nextID());
				break;
			}
		}
		return _out;
	}

	public String[] _all_interfaces(org.omg.PortableServer.POA poa, byte[] obj_id)
	{
		return ids;
	}
}
