
/* JNDI service tables */

CREATE CACHED TABLE OF_JNDI
(
   SID INTEGER NOT NULL,         /* server id uuid string */
   OID CHAR(36) NOT NULL,        /* object id uuid string */
   Name CHAR(255) NOT NULL,      /* name string */
   Class CHAR(255) NOT NULL,     /* classname */
   ChildUUID CHAR(36) NOT NULL,  /* leaf or context child uuid */
   PRIMARY KEY (SID, OID, Name)
)
;

CREATE CACHED TABLE OF_JNDI_Objects
(
   ChildUUID CHAR(36) NOT NULL,  /* object id uuid string */
   Object BINARY NOT NULL,       /* serialized Object */
   PRIMARY KEY (ChildUUID)
)
;
